<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Flexbox Basic</title>
  <style>

    html, body {
      height: 100%;
    }

    .box {
      display: flex;
      justify-content: center ;
      align-items: flex-end;  
      /* flex-direction: row; */
      flex-direction: column; 
      height: 100%;
    }

    /* .box-item { */
    .box > div {
      font-family: "Roboto";
      border: 2px solid #194d6b;
      background-color: #4b98f1;
      border-radius: 5px;
      /* align-self: stretch;  */
      padding: 10px;
      width: 150px;
      /* ajusta proporcional no box */
      /* flex: 1;  */
    }

    .um {
      flex: 4;
    }

    .tres {
      flex: 2;  
    }

  </style>
</head>
<body>
  <div class="box">
    <div class="box-item um">Um</div>
    <div class="box-item dois">dois</div>
    <div class="box-item tres">Três
        <br>possui
        <br>um
        <br>texto
        <br>extra
    </div>
  </div>
</body>
</html>